Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

# Class ExpandAllModelAction.TimeboxedExpandItemsRunnable

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.ExpandAllModelAction.TimeboxedExpandItemsRunnable

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  ExpandAllModelAction

public static final class ExpandAllModelAction.TimeboxedExpandItemsRunnable extends Object implements Runnable

## Constructor Summary

Constructors
Constructor
Description
`TimeboxedExpandItemsRunnable(WrappableTreeViewer wrappableTreeViewer, Set<org.eclipse.swt.widgets.TreeItem> itemsToBeExpanded)`
`TimeboxedExpandItemsRunnable(WrappableTreeViewer wrappableTreeViewer, Set<org.eclipse.swt.widgets.TreeItem> itemsToBeExpanded, long timeout)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimeboxedExpandItemsRunnable

public TimeboxedExpandItemsRunnable(WrappableTreeViewer wrappableTreeViewer, Set<org.eclipse.swt.widgets.TreeItem> itemsToBeExpanded)

### TimeboxedExpandItemsRunnable

public TimeboxedExpandItemsRunnable(WrappableTreeViewer wrappableTreeViewer, Set<org.eclipse.swt.widgets.TreeItem> itemsToBeExpanded, long timeout)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`